Add home photos to a pending proof of address check-in.
POST/api/users/checkin/proof-of-address/:id/home-photos
Attaches the two home photos (one FrontView + one AlternateView) to an existing pending proof of address check-in and upgrades the reward to the home-photo bonus. Photos need to be uploaded to the Ownli cloud via the Photo upload api. Only a check-in in the Pending state that does not yet have home photos can be updated.
Request
Path Parameters
- application/json
Body
required
Array [
]
photos
object[]
required
The two home photos: one FrontView and one AlternateView. Photos need to be uploaded via the Photo Upload API.
Url of the photo. The photo needs to be uploaded via the Photo Upload API.
Possible values: [FrontView, AlternateView, Invalid, FrontView, AlternateView]
Type of the photo. A value from one of the photo types.
Responses
- 200
- 401
- 403
- 404
- 409
- 500
The updated proof of address check-in object.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Id of the checkin
User generated note. For communication between the user to the admin
Admin generated note. Usually used for on-hold or declined check-ins
Check-in date
Possible values: [Confirmed, Declined, OnHold, Pending]
Status of the check-in
Last updated on
address
object
Address
Street Address Line 1
City
2 Letter State Code
2 Letter Country Code
Zip
Latitude at which photo was taken
Longitude at which photo was taken
Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid]
Document Type
insights
object
Insights gathered from the uploaded document(s)
First name on document(s)
Last name on document(s)
address
object
Address
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
documents
object[]
The document(s)
URL of the document
Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, CAMERA, DOCUMENT, GALLERY]
Type of the document.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the document has been marked invalid on review.
photos
object[]
The photos of the vehicle taken from different angles
URL of the photo
Possible values: [FrontView, AlternateView]
Type of the photo. A value from one of the proof of address checkin photo types.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the photo has been marked invalid on review.
Latitude at which check-in was done
Longitude at which check-in was done
{
"id": "string",
"userNote": "string",
"adminNote": "string",
"checkedInAt": "string",
"checkInStatus": "Confirmed",
"updated": "string",
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string",
"latitude": 0,
"longitude": 0
},
"documentType": "UtilityBill",
"insights": {
"firstName": "string",
"lastName": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
}
},
"documents": [
{
"url": "string",
"type": "DOCUMENT",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true
}
],
"photos": [
{
"photoUrl": "string",
"type": "FrontView",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true
}
],
"latitude": 0,
"longitude": 0,
"fraud": true
}
Authorization error e.g. due to an invalid or missing API keys.
The caller does not have access to the checkin. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Check-in or owning user not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_CHECKIN_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
The check-in cannot accept home photos in its current state. Possible error codes
-
ERROR_HOME_PHOTOS_ALREADY_ADDED
-
ERROR_BASE_REWARD_CLAIMED
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}